## org.apache.fop.fonts
Class PFMInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--org.apache.fop.fonts.PFMInputStream

public class PFMInputStream
extends java.io.FilterInputStream

This is a helper class for reading PFM files. It defines functions for extracting specific values out of the stream.

Author:
  jeremias.maerki@outline.ch

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`PFMInputStream(java.io.InputStream in)` Constructs a PFMInputStream based on an InputStream representing the PFM file.

Method Summary
`short` `readByte()` Parses a one byte value out of the stream.
`long` `readInt()` Parses a four byte value out of the stream.
`int` `readShort()` Parses a two byte value out of the stream.
`java.lang.String` `readString()` Parses a zero-terminated string out of the stream.

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PFMInputStream

    public PFMInputStream(java.io.InputStream in)

  Constructs a PFMInputStream based on an InputStream representing the PFM file.
  Parameters:
    `inStream` - The stream from which to read the PFM file.

Method Detail

### readByte

    public short readByte()
                   throws java.io.IOException

  Parses a one byte value out of the stream.
  Returns:
    The value extracted.

### readShort

    public int readShort()
                  throws java.io.IOException

  Parses a two byte value out of the stream.
  Returns:
    The value extracted.

### readInt

    public long readInt()
                 throws java.io.IOException

  Parses a four byte value out of the stream.
  Returns:
    The value extracted.

### readString

    public java.lang.String readString()
                                throws java.io.IOException

  Parses a zero-terminated string out of the stream.
  Returns:
    The value extracted.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.